Subject: Re: bug#35858: Null pointer error when partitioning with the graphical installer

From: Ludovic Courtès <[email-masked]>
Date: Wed, 29 May 2019 11:22:10 +0200

Hi Vivien,

Vivien Kraus <[email-masked]> skribis:

> Thank you for your answer.
>
>> Can you confirm that the backtrace you posted comes from 1.0.1 and
> not
>> 1.0.0?  (It seems to be from 1.0.1 accordingly to the line numbers,
> but
>> better be on the safe side.)
>
> After backing up my data, I re-downloaded the guix image from the
> website, burnt it, and booted it.  The boot screen reads
> "1.0.1-1.8204295".

Good.

> I also had an error during the loading with an error in finalization
> thread: Bad file descriptor (twice, reproducible) but no additional
> info, right after ssh-keygen.  Is there a log file for that?  I had
> very
> little time to catch it.

These are annoying but harmless.

> However, selecting the automatic method for whole disk encryption
> still gives the first error, and trying to add a partition manually
> gives the second.

That’s terrible.  :-/  That’s on x86_64, right?

(In the meantime you could the “manual” installation method:
<https://www.gnu.org/software/guix/manual/fr/html_node/Installation-manuelle.html>.)

As Mathieu notes, there’s one bug for which the fix is clear, but the
null-pointer exception is pretty bad, especially if we cannot reproduce
it easily.

Let’s see what can be done…

Thank you for testing thoroughly and for providing a detailed bug report!

Ludo’.